﻿@using BenhVien.MODEL
@using BenhVien.UI.Models
@model List<ChiTietDonThuoc>
    @{ 
        var thuoc = (List<Thuoc>)ViewBag.Thuoc;
        var donThuoc = (DonThuoc)ViewBag.DonThuoc;
    }
<div class="panel-body">
    <div class="col-md-3">
        <input type="button" class="form-control btnPlusContent" value="+" style="border-radius: 36px;width: 36px;float: left;" onclick="plusContent(this)" />
        <label style="padding: 8px 0px 0px 5px;">Thuốc</label>
    </div>
    <div class="col-md-offset-3 pnlContent">
        @foreach (var item in Model)
        {
            <div class="form-group">
                <div class="col-md-4 col-sm-4 col-xs-12">
                    <select class="ctr-select" data-live-search="true" name="ThuocID">
                        @foreach (var d in thuoc)
                        {
                            if (item.ThuocID == d.Id)
                            {
                                <option value="@d.Id" selected>@d.Ten</option>
                            }
                            else
                            {
                                <option value="@d.Id">@d.Ten</option>
                            }

                        }

                    </select>
                </div>
                <div class="col-md-3 col-sm-3 col-xs-12">
                    <input type="text" class="form-control number" value="@item.SoLuong" placeholder="Số lượng....." />
                </div>
                @*<div class="col-md-3 col-sm-3 col-xs-12">
                    <input type="text" class="form-control sudung" value="@item.CachSuDung" placeholder="Cách sử dụng....." />
                </div>*@
                <div class="col-md-3 col-sm-3 col-xs-12">
                    <input  class="form-control hamluong" type="number" min="1" value="@item.HamLuongSuDung" placeholder="Lần/ ngày ...." />
                </div>
               
                <div class="col-md-2 col-sm-2 col-xs-12" hidden="@(!donThuoc.NgayPhatThuoc.Value.ToString("dd/MM/yyyy").Equals(DateTime.Now.ToString("dd/MM/yyyy")) && donThuoc.NgayPhatThuoc <= DateTime.Now)">
                    <input type="button" class="form-control btnMinusContent" value="-" style="border-radius: 36px;width: 36px;" onclick="minusContent(this)" />
                </div>
            </div>
        }

    </div>
</div>
<script>
    let data = @Html.Raw(Json.Encode(Model));
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        debugger;
        if(data != null && data.length >0){
            $('#DonThuocID').val(data[0].DonThuocID);
        }else {
            $('#DonThuocID').val('0');
        }
        

    });



    function plusContent(e) {
        var t = $($(e).parents('.panel-body')[0]).find('.pnlContent')[0];
        var c =
`<div class="form-group">
	 <div class ="col-md-4 col-sm-4 col-xs-12">
		<select class ="ctr-select" data-live-search="true" name="ThuocID">`
                                + '@Html.Raw(ViewBag.cbxThuoc)' + `
            </select>
	</div>
    <div class ="col-md-3 col-sm-3 col-xs-12">
                    <input type="text" class ="form-control number" value="" placeholder="Số lượng....." />
                </div>
              
                <div class ="col-md-3 col-sm-3 col-xs-12">
                    <input type="number" min="1" class ="form-control hamluong" value="" placeholder="Lần/ ngày ...." />
                </div>



	 <div class ="col-md-2 col-sm-2 col-xs-12">
		<input type="button" class="form-control btnMinusContent" value="-" style="border-radius: 36px;width: 36px;" onclick="minusContent(this)" />
	</div>
</div>`;
        $(t).append(c);
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
    }
    function minusContent(e) {
        $(e).parents('.form-group')[0].remove();
    }
    function minusGroup(e) {
        $(e).parents('.pnlGroup')[0].remove();
    }
    function collapseContent(e) {
        $(e).children().toggleClass("glyphicon-chevron-up").toggleClass("glyphicon-chevron-down");
        $($(e).parents('.pnlGroup')[0]).find("div.panel-body").toggle();
    }
</script>